com.avaya.ccs.api.enums

## Enum ClientState

- java.lang.Object
- - java.lang.Enum<ClientState>
  - - com.avaya.ccs.api.enums.ClientState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ClientState>

      public enum ClientState
      extends java.lang.Enum<ClientState>

  The `ClientState` enum represents the possible states for the `ClientI` object.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHENTICATED` This state signifies that the client has signed in successfully to the Contact Control Service.
    `CONNECTED` This state signifies that the client is connected, the web socket is open and functional
    `CONNECTING` This state signifies that the client is in the process of opening a web socket with the Contact Control Service.
    `DISCONNECTED` This state signifies that the client is currently disconnected from the Contact Control Service and is not in the process of reconnecting.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ClientState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONNECTING

          public static final ClientState CONNECTING

      This state signifies that the client is in the process of opening a web socket with the Contact Control Service.

    - #### CONNECTED

          public static final ClientState CONNECTED

      This state signifies that the client is connected, the web socket is open and functional

    - #### AUTHENTICATED

          public static final ClientState AUTHENTICATED

      This state signifies that the client has signed in successfully to the Contact Control Service.

    - #### DISCONNECTED

          public static final ClientState DISCONNECTED

      This state signifies that the client is currently disconnected from the Contact Control Service and is not in the process of reconnecting.

  - ### Method Detail

    - #### values

          public static ClientState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientState c : ClientState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null